# User-Defined Macros:
# %%define <name> <expansion>
%define Name		aliases2cdbm
%define Version		1.0
%define Release		1
%define Prefix		/usr
Summary: convert mail aliases into input suitable for cdbmake
Name: %{Name}
Version: %{Version}
Release: %{Release}
#Serial: 
Copyright: GPL
Group: Utilities/Text
URL: http://www.pobox.com/~jmknoble/software/
Source0: http://www.pobox.com/~jmknoble/software/aliases2cdbm/%{Name}-%{Version}.tar.gz
#Patch0: 
#Prefix: 
BuildRoot: /tmp/%{Name}-%{Version}-%{Release}-root
#Provides: 
#Requires: 
#Obsoletes: 

%package extra
Summary: extra glue for using aliases2cdbm with exim
Group: Utilities/Text

%description
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

%description extra
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

This package contains a few extra glue files for using aliases2cdbm
with the `exim' MTA (mail transport agent) <http://www.exim.org/>.

%prep
%setup
#%patch0 -b .orig

#function Replace() {
#  local fil="$1"
#  local sep="$2"
#  local old="$3"
#  local new="$4"
#  local suf="$5"
#  [ -z "${suf}" ] && suf='~'
#  mv -f ${fil} ${fil}${suf}
#  cat ${fil}${suf} | sed -e "s${sep}${old}${sep}${new}${sep}g" >$fil
#}

%build
if [ -z "${CC}" ]; then
  if [ -n "`which gcc`" ]; then
    CC="gcc"
  else
    CC="cc"
  fi
fi
export CC

make CC="${CC}" OPTFLAGS="${RPM_OPT_FLAGS}" PREFIX="%{Prefix}"
make CC="${CC}" OPTFLAGS="${RPM_OPT_FLAGS}" PREFIX="%{Prefix}" extra

%install
function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
      ;;
    *)  return 0
      ;;
  esac
}
function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}
CleanBuildRoot

for i in \
  "" \
  %{Prefix} \
; do
  mkdir -p "${RPM_BUILD_ROOT}${i}"
done

make DESTDIR="${RPM_BUILD_ROOT}" PREFIX="%{Prefix}" install
make DESTDIR="${RPM_BUILD_ROOT}" PREFIX="%{Prefix}" install-extra

%clean
function CheckBuildRoot() {
  # do a few sanity checks on the BuildRoot
  # to make sure we don't damage a system
  case "${RPM_BUILD_ROOT}" in
    ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
      echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
      echo "The BuildRoot gets deleted when this package is rebuilt;"
      echo "something like '/tmp/build-blah' is a better choice."
      return 1
      ;;
    *)  return 0
      ;;
  esac
}
function CleanBuildRoot() {
  if CheckBuildRoot; then
    rm -rf "${RPM_BUILD_ROOT}"
  else
    exit 1
  fi
}
CleanBuildRoot

%files
%attr(-   ,root,root) %doc README aliases.sample aliases.warnings
%attr(0755,root,root) %{Prefix}/bin/aliases2cdbm
%attr(0444,root,root) %{Prefix}/man/man1/aliases2cdbm.1

%files extra
%attr(0644,root,root) /etc/aliases.conf
%attr(0755,root,root) %{Prefix}/sbin/exim.newaliases.cdb

